Bug 503020 - rpm reports a large disk space requirement
rpm reports a large disk space requirement
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-28 06:42 EDT by Pádraig Brady
Modified: 2013-01-10 05:33 EST (History)
7 users (show)

See Also:
Fixed In Version: 4.7.0-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-03 09:55:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pádraig Brady 2009-05-28 06:42:40 EDT
I noticed an anomaly with %{SIZE} for the git rpm on fedora 11 beta.
On fedora 8 I can see the size is around the same as the actual usage:

$ rpm -q --qf="%{SIZE}\n" git-core
8543647
$ find $(rpm -ql git-core) -maxdepth 0 -type f | xargs du -b | cut -f1 | (tr '\n' +; echo 0) | bc
8717743

However on fedora 11 the %{SIZE} reports 100MB, which the usage is a
more reasonable 15MB:

$ rpm -q git
git-1.6.2.2-1.fc11.i586
$ rpm -q --qf="%{SIZE}\n" git
100428002
$ find $(rpm -ql git) -maxdepth 0 -type f | xargs du -b | cut -f1 | (tr '\n' +; echo 0) | bc
15864614

What am I missing?
Comment 1 Todd Zullinger 2009-05-28 08:27:20 EDT
I don't know what would cause this. The rpm maintainers should be better able to help.  Reassigning to rpm.
Comment 2 Panu Matilainen 2009-05-28 13:42:25 EDT
Right, another fix in this area forgot to deal with hardlinks so size of hardlinked files is calculated incorrectly now. Will fix.
Comment 3 Panu Matilainen 2009-06-03 09:55:13 EDT
Fixed in rpm-4.7.0-5.fc12, will pull to F11 too once past the zero-day update
flood.
Comment 4 Fedora Update System 2009-06-18 12:19:21 EDT
rpm-4.7.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpm-4.7.0-2.fc11
Comment 5 Fedora Update System 2009-07-11 12:54:51 EDT
rpm-4.7.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.